if ((args.sourceItem && args.sourceItem.isMelee) || (args.sourceItem && !args.sourceItem.name.includes("Projectiles")))
{
    let choice = await foundry.applications.api.DialogV2.confirm({window : {title : this.effect.name}, content : `<p>Appliquer les dégâts avec <strong>${this.effect.name}</strong> à l'attaquant ?`})

    if (choice)
    {
        this.script.message(await args.attacker.applyBasicDamage(this.actor.system.characteristics.wp.bonus, {damageType : game.wfrp4e.config.DAMAGE_TYPE.IGNORE_AP, suppressMsg : true}));
    }
}